@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&display=swap');
*{
    margin: 0;
    border: 0;
    box-sizing: border-box;
    font-family: "Roboto Slab", serif;
    user-select: none;
}
body{
    height: 100vh;
    width: 100%;
}
header{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 40px ;
    box-shadow: 0px 4px 4px rgba(0,0,0,0.1);
    & nav .ul-link{
        display: flex;
        justify-content: center;
        align-items: center;
        & a{
            text-decoration: none;
            color: #000;
            font-size: 20px;
        }
        & li{
            list-style: none;
            margin-right: 10px;
        }
    }
    & .menu-link{
        display: none !important;
    }
    .ri-menu-line{
        display: none;
    }
    .logo{
        a{
            text-decoration: none;
            color: #000;
        }
    }
}
#menu-bar{
    font-size: 20px;
    padding: 10px 10px;
    display: none;
}
.cart-icon{
    position: relative;
    top: 0;
    left: 0;
    font-size: 25px;
    & .cart-count{
        top: 4px;
        left: 10px;
        position: absolute;
        width: 20px;
        height: 20px;
        background-color: tomato;
        font-size: 20px;
        border-radius: 50px;
        color: #fff;
        font-size: 20px;
        display: flex;
        justify-content: center;
        align-items: center;
        font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    }
}

@media(max-width:425px){
    header{
        position: fixed;
        top: 0;
        left: 0;
        z-index: 100;
        background-color: #fff;
        .logo{
            a{
                text-decoration: none;
                color: #000;
            }
        }
    & nav .ul-link{
        display: none;
    }
    .ri-menu-line{
    font-size: 20px;
    padding: 10px 10px;
    display: flex !important;
}
}
#menu-bar{
    font-size: 20px;
    padding: 10px 10px;
    display: flex;
}
 & .menu-link{
    user-select: none;
        position: fixed;
        top: 0;
        right: 0;
        display: flex ;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 80%;
        height: 100%;
        text-align: center;
        padding: 100px 20px;
        background-color: #ebeeef;
        z-index: 1000;
        transform: translateX(400px);
        transition: 0.1s ease;
        i{
            font-size: 40px;
            position: absolute;
            top: 10px;
            right: 20px;
            color: #000;
        }
        a{
            text-decoration: none;
            color: #000;
        }
        li{
            list-style: none;
            margin-bottom: 40px;
            font-size: 20px;
            font-weight: bolder;
        }
        
    }
    .menubar{
    transform: translateX(0px);
    transition: 0.1s ease;
}
}


    .hero{
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    & .hero-con1{
        width: 100%;
        height: 50%;
        padding-top: 40px;
        & h1{
            font-size: 20px;
            text-transform: capitalize;
            margin-bottom: 10px;
        }

    }
    & .hero-con2{
        width: 400px;
        height: 500px;
        background-size: 100%;
        margin-top: 20px;
    }
    .logo{
        a{
            text-decoration: none;
            color: #000;
        }
    }
    i{
            font-size: 40px;
            position: absolute;
            top: 10px;
            right: 40px;
            color: #fff;
        }
}



.product{
    width: 100%;
    height: 200px;
    margin-top: 40px;
    .collection-div-btn{
        width: 99%;
        height: 100%;
        gap: 20px;
        padding: 10px 4px;
        display: flex;
        justify-content: space-around;
        align-items: center;
        overflow: scroll;
        .btn{
    padding: 10px 40px;
    color: #000;
    font-size: 20px;
    text-transform: capitalize;
    font-weight: bolder;
    border-radius: 2px;
    background-color: #ebeeef;
    margin-top: 10px;
}
    }
    
}
.collection-div-btn::-webkit-scrollbar{
    display: none;
}

.collection-div-card{
    overflow: hidden;
    margin-top: -50px;
    width: 100%;
    padding: 10px 10px;
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(150px,1fr));    
    gap: 10px;
    .card{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 0px;
        img{
            width: 80%;
            transition: 1.1s;
        }
        .card-body{
            margin-top: 4px;
            text-align: start;
            font-size: 20px;
            padding: 10px;
            .card-title{
                font-size: 14px;
                font-weight: bolder;
                text-transform: capitalize;
                text-align: start;
                
            }.cart-text{
                    font-size: 14px;
                    margin-top: 20px;
                }
            .card-body{
                display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
            }
        }
    }
}
.img{
    display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 20px 0px;
    overflow: hidden;
    
}
.cart-btn{
    width: 90%;
        
        gap: 20px;
        padding: 10px 4px;
        margin-top: 20px;
        font-size: 20px;
        text-transform: capitalize;
        font-weight: bolder;
        cursor: pointer;
}
.cart-price{
    font-size: 20px;
}
.active{
    background-color: #0d6efd !important;
    color: #fff !important;

}
.hide{
    display: none !important;
}
.more-to-see{
    margin-top: 20px;
    text-align: center;
    padding-bottom: 20px;
    a{
        color: tomato;
        text-decoration: none;
        cursor: pointer;
    }
}



.cart-div{
    width: 360px;
    height: 100%;
    position: fixed;
    top: 0;
    right: -400px;
    z-index: 102;
    background-color: #fff;
    padding: 50px 20px ;
    box-shadow: -2px 0px 10px rgba(0,0,0,0.1);
    overflow: auto;
    transition: 1.1s ease;
    
}
.cart-div::-webkit-scrollbar{
    display: none;
}

.cart-title{
    font-size: 40px;
    text-transform: capitalize;
    text-align: center;
    margin-top: 20px;
}

.cart-box{
    display: flex;
    align-items: center;
    margin-top: 40px;

}
.cart-box{
    img{
        width: 100px;
        height: 100px;
        border-radius: 6px;
        object-fit: cover;
        margin-right: 20px;

    }
}
.cart-data{
    display: grid;
    gap: 8px;
    margin-right: auto;
}
.cart-data-title{
    font-size: 18px;
    line-height: 1;
}
.cart-price{
    font-size: 18px;
}
.cart-quantity{
    display: flex;
    width: 100px;
    border-radius: 4px;
    border: 1px solid #999;
}
.cart-quantity button{
    background-color: transparent;
    width: 30px;
    border: none;
    font-size: 20px;
    cursor: pointer;
}
.Decrement{
    color: #999;
}
.Number{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    border-left: 1px solid #999;
    border-right: 1px solid #999;
}
#cart-close{
    font-size: 20px;
    cursor: pointer;
}
.total{
    display: flex;
    justify-content: end;
    align-items: center;
    margin-top: 20px;
    border-top: 1px solid #999;
    padding-top: 20px;
}
.total-title{
    margin-right: 20px;
} 
.total-price{
    font-weight: bolder;
}
.buy{
    display: block;
    text-align: center;
    padding: 10px 40px;
    border-radius: 4px;
    margin: 20px auto 0;
    cursor: pointer;
}
#close{
    position: absolute;
    top: 20px;
    right: 40px;
    font-size: 30px;
    cursor: pointer;
}
.addtocart{
    right: 0px;
}
